#ifndef _DATETIME_H_
#define _DATETIME_H_

#include <stdint.h>
#include <time.h>

#define DATE_TIME_BUF_LEN 18

typedef struct tm tm_t;

typedef struct __attribute__ ((__packed__)) __attribute__((aligned)) {
    int year;
    int month;
    int day;
    int hour;
    int minute;
    int sec;
} datetime_t;

datetime_t datetimeAddMs(const datetime_t* pDateTime, const int32_t ms);
void       data2Datetime(const uint8_t* pData, datetime_t* pDateTime);
void       datetime2Data(const datetime_t* pDateTime, uint8_t* pData);
time_t     datetime2timet(const datetime_t* pDateTime);
void       timet2Datetime(const time_t* timet, datetime_t* pDateTime);
void       datetime2tm(const datetime_t* pDateTime, tm_t* pTm);
void       tm2Datetime(const tm_t* pTm, datetime_t* pDateTime);
void       datetimePrint(const char* str, const datetime_t* pTime);



#endif /* _RECORD_H_ */
