/*
 * Copyright (c) 2023 Amengine cooperation.
 *
 */

#ifndef _NRF52832_BOARD_H_
#define _NRF52832_BOARD_H_


#define DET_VBAT             28
#define POWER_UP             30
#define DETEN_VBAT           31


#define LEDS_NUMBER    3

#define LED_START      11
#define LED_1          11
#define LED_R          LED_1
#define LED_2          2
#define LED_G          LED_2
#define LED_3          25
#define LED_B          LED_3
#define LED_STOP       25

#define LEDS_ACTIVE_STATE 0

#define LEDS_INV_MASK  LEDS_MASK

#define LEDS_LIST { LED_1, LED_2, LED_3}

#define BUTTONS_NUMBER 1

#define BUTTON_START   27
#define BUTTON_1       27
#define BCHRG_CSO      29
#define BUTTON_PULL    NRF_GPIO_PIN_PULLUP

#define BUTTONS_ACTIVE_STATE 0

#define BUTTONS_LIST { BUTTON_1}

#define BSP_BUTTON_0   BUTTON_1

#define RX_PIN_NUMBER  19
#define TX_PIN_NUMBER  9
#define CTS_PIN_NUMBER 0xFF
#define RTS_PIN_NUMBER 0xFF
#define HWFC           true
#define DC_EN_PIN        7

// I2C
#define TWI_SCL_M        4
#define TWI_SDA_M        3

// AFE4900
#define AFE4900_RESET    5
#define AFE4900_RDY      7

// GSensor
#define SPIM0_SCK_PIN    14 // SPI clock GPIO pin number.
#define SPIM0_MOSI_PIN   18 // SPI Master Out Slave In GPIO pin number.
#define SPIM0_MISO_PIN   16 // SPI Master In Slave Out GPIO pin number.
#define GSENSOR_SS_PIN   15
#define GSENSOR_INT_PIN  12



#endif /* _NRF52832_BOARD_H_ */


