/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <inttypes.h>
#include <zephyr/device.h>
#include <zephyr/devicetree.h>
#include <zephyr/drivers/gpio.h>
#include <zephyr/kernel.h>
#include <zephyr/logging/log.h>
#include <zephyr/sys/util.h>
#include <zephyr/sys/printk.h>
#include "afe4900.h"
#include "button.h"
#include "error.h"
#include "flash_nor.h"
#include "gpio.h"
#include "i2c.h"
#include "led.h"
#include "localtime.h"
#include "pwr_mgmt.h"

LOG_MODULE_REGISTER(main);

void main(void)
{
    LOG_INF("button long press test\n");
    printk("Starting button Test example\n");
    gpioInit();
    flashNorInit();
    i2cInit();
    afe4900Init();
    buttonInit();
    ledInit();
    pwrMgmtInit();
    ltInit();
    

#ifdef CONFIG_PM
    while (1) {
        k_sleep(K_SECONDS(1));
    }
#endif
}
